### Constructor

# Gcr SystemPrompter new

#### Declaration [src]

    GcrSystemPrompter*
    gcr_system_prompter_new (
      GcrSystemPrompterMode mode,
      GType prompt_type
    )

#### Description [src]

Create a new system prompter service. This prompter won’t do anything unless you connect to its signals and show appropriate prompts.

If `prompt_type` is zero, then the new-prompt signal must be handled and return a valid prompt object implementing the `GcrPrompt` interface.

If `prompt_type` is non-zero then the `GType` must implement the `GcrPrompt` interface.

#### Parameters

`mode`

  Type: `GcrSystemPrompterMode`

  The mode for the prompt.

`prompt_type`

  Type: `GType`

  The gobject type for prompts created by this prompter.

#### Return value

Type: `GcrSystemPrompter`

A new prompter service.

The caller of the function takes ownership of the data, and is responsible for freeing it.